package com.efounder;

import java.math.BigDecimal;
import java.util.Random;

public class Test {


    public static void main(String[] args) {
//        System.out.println( Math.random()*10);
//        System.out.println( get6RandomChar());
//        String s="abc\nyqs";
//        String s1="abc\\nyqs";
//        String s2="abc\\syqs";
//        String s3 ="abcd\\123\\\\dcba";
//        System.out.println(s);
//        System.out.println(s1);
//        System.out.println(s2);
//        System.out.println(s3);
       double time =1.493687476092E12;
        BigDecimal bigDecimal = new BigDecimal(time);
        System.out.println(bigDecimal.toString());

    }
    public static String get6RandomChar() {
        String s = "1234567890ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
        Random r = new Random();
        String result = "";
        for (int i = 0; i < 6; i++) {
            int n = r.nextInt(62);
            result += s.substring(n, n+1);
        }
        return result;
    }

    public static void test12() throws RuntimeException {
     int a= 10/0;
    }
}

//"make_date" -> "1.493687476092E12"